package tome_lib

//go:generate enumer -type=CardType -json
type CardType int

const (
	Valk       CardType = iota
	Speedster           //ace, has haste
	Commander           //2, buffs row
	Paladin             //3, buffs neighbours
	Scholar             //4, draws card
	Warrior             //5, nothing
	Fighter             //6, nothing
	Seven               //7, seven
	ShieldWall          //8, only blocks

	//new cards
	//Rank 1
	HealthPotion //both players get +1 health
	Tree         //grows to 8 after five turns
	Goblin       //adds two other 1 strength units
	GoblinSpawn  //1 power goblin token

	//Rank 2
	Ally  //puts +1 token on allied unit
	Enemy //puts -1 token on enemy unit
)
const (
	EmptyValue CardType = -1
)
