package tome_lib

type GameStatus int
type TargetStatus int

const (
	StatusLobby = iota
	StatusReady
	StatusPlaying
	StatusStop
	StatusSentinalWin
	StatusScourgeWin
	StatusDraw
)

const (
	TargetSelf = iota
	TargetOwn
	TargetOpp
	TargetAny
	TargetNone
)

const (
	SentinalID = 1
	ScourgeID  = 2
)
